Skip to main content
GET
/
moderation
/
reasons
/
{id}
Get Reason details
curl --request GET \
  --url https://{appid}.api-{region}.cometchat.io/v3/moderation/reasons/{id} \
  --header 'apikey: <api-key>'
{
  "data": {
    "id": "spam",
    "name": "Spam / Unwanted Content",
    "description": "Repeated, promotional, or irrelevant content",
    "createdAt": 1760443648,
    "updatedAt": 1760443648,
    "default": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://cometchat-22654f5b-docs-v6-beta2-flutter-uikit.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

id
string
required

Id of the reason which needs to be fetched.

Response

200 - application/json

List Reasons

The response is of type object.